r600: report incorrect max-vertex-attrib for GL 4.4

Graphics / Mesa 3D Graphics Library / Mesa - Erik Faye-Lund [collabora.com] - 9 July 2018 15:32 EDT

OpenGL 4.4 requires a max vertex attrib of 2048 or higher, but r600 only supports 2047. Technically, this makes it an GL4.3 GPU, but it's currently exposing GL4.4.

To avoid regressing the GL version supported in the following patches, let's just lie and pretend like we support 2048. Any applications using 2048 are already broken anyway.

747cf468ff r600: report incorrect max-vertex-attrib for GL 4.4
src/gallium/drivers/r600/r600_pipe.c | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)

Upstream: cgit.freedesktop.org


  • Share